import { Form } from 'react-bootstrap';
import { useTranslation } from 'react-i18next';
import Loader from 'react-loader-spinner';

const LoadingSpinner = ({ message }: {
  message?: string
}) => {

  const { t } = useTranslation();

  return <Form>
    <div className="d-flex">
      <Loader
        type="Grid"
        color="#00BFFF"
        height="2rem"
        width="2rem"
      />
      <span style={{
        fontSize: '1.5rem',
        marginLeft: '1.5rem'
      }}>{t(message ? `${message}...` : 'Loading...')}</span>
    </div>
  </Form>;
}

export default LoadingSpinner;
